<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_test_fuzzer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_test_fuzzer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_d_l__test__fuzzer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">  Data generators for fuzzing test data in a reproducible way.</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#ifndef SDL_test_fuzzer_h_</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#define SDL_test_fuzzer_h_</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="begin__code_8h.html">begin_code.h</a>&quot;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/* Set up for C function definitions, even when using C++ */</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">  Based on GSOC code by Markus Kauppila &lt;markus.kauppila@gmail.com&gt;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a623db129ea615326bed457ebb9703c1e">   63</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a623db129ea615326bed457ebb9703c1e">SDLTest_FuzzerInit</a>(Uint64 execKey);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#ac8dedcebddb993c4a5c86fb914133289">   71</a></span>&#160;Uint8 <a class="code" href="_s_d_l__test__fuzzer_8h.html#ac8dedcebddb993c4a5c86fb914133289">SDLTest_RandomUint8</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#ac4988f65c0b1e921ac6a498ba9b9150a">   78</a></span>&#160;Sint8 <a class="code" href="_s_d_l__test__fuzzer_8h.html#ac4988f65c0b1e921ac6a498ba9b9150a">SDLTest_RandomSint8</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a3eceb16e97b4c4c5143904c36ba3a3d5">   86</a></span>&#160;Uint16 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a3eceb16e97b4c4c5143904c36ba3a3d5">SDLTest_RandomUint16</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#aaf6c560d87e5c01b638b9072a85369aa">   93</a></span>&#160;Sint16 <a class="code" href="_s_d_l__test__fuzzer_8h.html#aaf6c560d87e5c01b638b9072a85369aa">SDLTest_RandomSint16</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a26976cb8f4e44aec5e83c90b900e7ae0">  101</a></span>&#160;Sint32 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a26976cb8f4e44aec5e83c90b900e7ae0">SDLTest_RandomSint32</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a853884a6887973eb5072f7a6be20f51e">  109</a></span>&#160;Uint32 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a853884a6887973eb5072f7a6be20f51e">SDLTest_RandomUint32</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a3c9b42462ea1d24552306004338f7d32">  116</a></span>&#160;Uint64 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a3c9b42462ea1d24552306004338f7d32">SDLTest_RandomUint64</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#ab503ec55dfd34e9c491f83bfff374bdb">  124</a></span>&#160;Sint64 <a class="code" href="_s_d_l__test__fuzzer_8h.html#ab503ec55dfd34e9c491f83bfff374bdb">SDLTest_RandomSint64</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a2f9e47894c17386a36793504fc11de85">  129</a></span>&#160;<span class="keywordtype">float</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a2f9e47894c17386a36793504fc11de85">SDLTest_RandomUnitFloat</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a9f3159422e964a51f17243ce86b6eef6">  134</a></span>&#160;<span class="keywordtype">double</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a9f3159422e964a51f17243ce86b6eef6">SDLTest_RandomUnitDouble</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a65a242a0a22e7cbea6e9081567fdd056">  140</a></span>&#160;<span class="keywordtype">float</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a65a242a0a22e7cbea6e9081567fdd056">SDLTest_RandomFloat</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160; </div>
<div class="line"><a name="l00146"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a31167fd1a3b922f62896210dbe30c32c">  146</a></span>&#160;<span class="keywordtype">double</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a31167fd1a3b922f62896210dbe30c32c">SDLTest_RandomDouble</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160; </div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a129a58a37dc23847b8257569bf56d16f">  167</a></span>&#160;Uint8 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a129a58a37dc23847b8257569bf56d16f">SDLTest_RandomUint8BoundaryValue</a>(Uint8 boundary1, Uint8 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a3710dba14db764872949252f558429ba">  188</a></span>&#160;Uint16 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a3710dba14db764872949252f558429ba">SDLTest_RandomUint16BoundaryValue</a>(Uint16 boundary1, Uint16 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a9e718145eaf96f611cd67fc530473e3a">  209</a></span>&#160;Uint32 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a9e718145eaf96f611cd67fc530473e3a">SDLTest_RandomUint32BoundaryValue</a>(Uint32 boundary1, Uint32 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160; </div>
<div class="line"><a name="l00230"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#abc660d9b04554c8c2717325224b88b6a">  230</a></span>&#160;Uint64 <a class="code" href="_s_d_l__test__fuzzer_8h.html#abc660d9b04554c8c2717325224b88b6a">SDLTest_RandomUint64BoundaryValue</a>(Uint64 boundary1, Uint64 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160; </div>
<div class="line"><a name="l00251"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a09ec06adf1ca58afa5283be6b4f5fdfc">  251</a></span>&#160;Sint8 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a09ec06adf1ca58afa5283be6b4f5fdfc">SDLTest_RandomSint8BoundaryValue</a>(Sint8 boundary1, Sint8 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160; </div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; </div>
<div class="line"><a name="l00273"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#ae11fb12560b1a9180b1645d6ca1c6af6">  273</a></span>&#160;Sint16 <a class="code" href="_s_d_l__test__fuzzer_8h.html#ae11fb12560b1a9180b1645d6ca1c6af6">SDLTest_RandomSint16BoundaryValue</a>(Sint16 boundary1, Sint16 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160; </div>
<div class="line"><a name="l00294"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#ab17fbfddfa253bb3d64412000488fc07">  294</a></span>&#160;Sint32 <a class="code" href="_s_d_l__test__fuzzer_8h.html#ab17fbfddfa253bb3d64412000488fc07">SDLTest_RandomSint32BoundaryValue</a>(Sint32 boundary1, Sint32 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160; </div>
<div class="line"><a name="l00315"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a0b6a8004aba7d72595f80540fa0b6727">  315</a></span>&#160;Sint64 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a0b6a8004aba7d72595f80540fa0b6727">SDLTest_RandomSint64BoundaryValue</a>(Sint64 boundary1, Sint64 boundary2, SDL_bool validDomain);</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160; </div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160; </div>
<div class="line"><a name="l00329"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a5c81f42e213ad1608cf5f29669eb8521">  329</a></span>&#160;Sint32 <a class="code" href="_s_d_l__test__fuzzer_8h.html#a5c81f42e213ad1608cf5f29669eb8521">SDLTest_RandomIntegerInRange</a>(Sint32 min, Sint32 max);</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160; </div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160; </div>
<div class="line"><a name="l00341"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a26872445ee35f69a2482d7f92677fabf">  341</a></span>&#160;<span class="keywordtype">char</span> * <a class="code" href="_s_d_l__test__fuzzer_8h.html#a26872445ee35f69a2482d7f92677fabf">SDLTest_RandomAsciiString</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160; </div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160; </div>
<div class="line"><a name="l00355"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a16734124f5caad4459ce8f41ad7a7f21">  355</a></span>&#160;<span class="keywordtype">char</span> * <a class="code" href="_s_d_l__test__fuzzer_8h.html#a16734124f5caad4459ce8f41ad7a7f21">SDLTest_RandomAsciiStringWithMaximumLength</a>(<span class="keywordtype">int</span> maxLength);</div>
<div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160; </div>
<div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160; </div>
<div class="line"><a name="l00369"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a8e788507091b26d95d47a2e273dc6164">  369</a></span>&#160;<span class="keywordtype">char</span> * <a class="code" href="_s_d_l__test__fuzzer_8h.html#a8e788507091b26d95d47a2e273dc6164">SDLTest_RandomAsciiStringOfSize</a>(<span class="keywordtype">int</span> size);</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160; </div>
<div class="line"><a name="l00374"></a><span class="lineno"><a class="line" href="_s_d_l__test__fuzzer_8h.html#a2a0e63a6e02a55141edbdfa53b201c9b">  374</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="_s_d_l__test__fuzzer_8h.html#a2a0e63a6e02a55141edbdfa53b201c9b">SDLTest_GetFuzzerInvocationCount</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160; </div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;<span class="comment">/* Ends C function definitions when using C++ */</span></div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;}</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="close__code_8h.html">close_code.h</a>&quot;</span></div>
<div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160; </div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_test_fuzzer_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160; </div>
<div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a09ec06adf1ca58afa5283be6b4f5fdfc"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a09ec06adf1ca58afa5283be6b4f5fdfc">SDLTest_RandomSint8BoundaryValue</a></div><div class="ttdeci">Sint8 SDLTest_RandomSint8BoundaryValue(Sint8 boundary1, Sint8 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a0b6a8004aba7d72595f80540fa0b6727"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a0b6a8004aba7d72595f80540fa0b6727">SDLTest_RandomSint64BoundaryValue</a></div><div class="ttdeci">Sint64 SDLTest_RandomSint64BoundaryValue(Sint64 boundary1, Sint64 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a129a58a37dc23847b8257569bf56d16f"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a129a58a37dc23847b8257569bf56d16f">SDLTest_RandomUint8BoundaryValue</a></div><div class="ttdeci">Uint8 SDLTest_RandomUint8BoundaryValue(Uint8 boundary1, Uint8 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a16734124f5caad4459ce8f41ad7a7f21"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a16734124f5caad4459ce8f41ad7a7f21">SDLTest_RandomAsciiStringWithMaximumLength</a></div><div class="ttdeci">char * SDLTest_RandomAsciiStringWithMaximumLength(int maxLength)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a26872445ee35f69a2482d7f92677fabf"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a26872445ee35f69a2482d7f92677fabf">SDLTest_RandomAsciiString</a></div><div class="ttdeci">char * SDLTest_RandomAsciiString(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a26976cb8f4e44aec5e83c90b900e7ae0"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a26976cb8f4e44aec5e83c90b900e7ae0">SDLTest_RandomSint32</a></div><div class="ttdeci">Sint32 SDLTest_RandomSint32(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a2a0e63a6e02a55141edbdfa53b201c9b"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a2a0e63a6e02a55141edbdfa53b201c9b">SDLTest_GetFuzzerInvocationCount</a></div><div class="ttdeci">int SDLTest_GetFuzzerInvocationCount(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a2f9e47894c17386a36793504fc11de85"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a2f9e47894c17386a36793504fc11de85">SDLTest_RandomUnitFloat</a></div><div class="ttdeci">float SDLTest_RandomUnitFloat(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a31167fd1a3b922f62896210dbe30c32c"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a31167fd1a3b922f62896210dbe30c32c">SDLTest_RandomDouble</a></div><div class="ttdeci">double SDLTest_RandomDouble(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a3710dba14db764872949252f558429ba"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a3710dba14db764872949252f558429ba">SDLTest_RandomUint16BoundaryValue</a></div><div class="ttdeci">Uint16 SDLTest_RandomUint16BoundaryValue(Uint16 boundary1, Uint16 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a3c9b42462ea1d24552306004338f7d32"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a3c9b42462ea1d24552306004338f7d32">SDLTest_RandomUint64</a></div><div class="ttdeci">Uint64 SDLTest_RandomUint64(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a3eceb16e97b4c4c5143904c36ba3a3d5"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a3eceb16e97b4c4c5143904c36ba3a3d5">SDLTest_RandomUint16</a></div><div class="ttdeci">Uint16 SDLTest_RandomUint16(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a5c81f42e213ad1608cf5f29669eb8521"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a5c81f42e213ad1608cf5f29669eb8521">SDLTest_RandomIntegerInRange</a></div><div class="ttdeci">Sint32 SDLTest_RandomIntegerInRange(Sint32 min, Sint32 max)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a623db129ea615326bed457ebb9703c1e"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a623db129ea615326bed457ebb9703c1e">SDLTest_FuzzerInit</a></div><div class="ttdeci">void SDLTest_FuzzerInit(Uint64 execKey)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a65a242a0a22e7cbea6e9081567fdd056"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a65a242a0a22e7cbea6e9081567fdd056">SDLTest_RandomFloat</a></div><div class="ttdeci">float SDLTest_RandomFloat(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a853884a6887973eb5072f7a6be20f51e"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a853884a6887973eb5072f7a6be20f51e">SDLTest_RandomUint32</a></div><div class="ttdeci">Uint32 SDLTest_RandomUint32(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a8e788507091b26d95d47a2e273dc6164"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a8e788507091b26d95d47a2e273dc6164">SDLTest_RandomAsciiStringOfSize</a></div><div class="ttdeci">char * SDLTest_RandomAsciiStringOfSize(int size)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a9e718145eaf96f611cd67fc530473e3a"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a9e718145eaf96f611cd67fc530473e3a">SDLTest_RandomUint32BoundaryValue</a></div><div class="ttdeci">Uint32 SDLTest_RandomUint32BoundaryValue(Uint32 boundary1, Uint32 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_a9f3159422e964a51f17243ce86b6eef6"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#a9f3159422e964a51f17243ce86b6eef6">SDLTest_RandomUnitDouble</a></div><div class="ttdeci">double SDLTest_RandomUnitDouble(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_aaf6c560d87e5c01b638b9072a85369aa"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#aaf6c560d87e5c01b638b9072a85369aa">SDLTest_RandomSint16</a></div><div class="ttdeci">Sint16 SDLTest_RandomSint16(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_ab17fbfddfa253bb3d64412000488fc07"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#ab17fbfddfa253bb3d64412000488fc07">SDLTest_RandomSint32BoundaryValue</a></div><div class="ttdeci">Sint32 SDLTest_RandomSint32BoundaryValue(Sint32 boundary1, Sint32 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_ab503ec55dfd34e9c491f83bfff374bdb"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#ab503ec55dfd34e9c491f83bfff374bdb">SDLTest_RandomSint64</a></div><div class="ttdeci">Sint64 SDLTest_RandomSint64(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_abc660d9b04554c8c2717325224b88b6a"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#abc660d9b04554c8c2717325224b88b6a">SDLTest_RandomUint64BoundaryValue</a></div><div class="ttdeci">Uint64 SDLTest_RandomUint64BoundaryValue(Uint64 boundary1, Uint64 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_ac4988f65c0b1e921ac6a498ba9b9150a"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#ac4988f65c0b1e921ac6a498ba9b9150a">SDLTest_RandomSint8</a></div><div class="ttdeci">Sint8 SDLTest_RandomSint8(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_ac8dedcebddb993c4a5c86fb914133289"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#ac8dedcebddb993c4a5c86fb914133289">SDLTest_RandomUint8</a></div><div class="ttdeci">Uint8 SDLTest_RandomUint8(void)</div></div>
<div class="ttc" id="a_s_d_l__test__fuzzer_8h_html_ae11fb12560b1a9180b1645d6ca1c6af6"><div class="ttname"><a href="_s_d_l__test__fuzzer_8h.html#ae11fb12560b1a9180b1645d6ca1c6af6">SDLTest_RandomSint16BoundaryValue</a></div><div class="ttdeci">Sint16 SDLTest_RandomSint16BoundaryValue(Sint16 boundary1, Sint16 boundary2, SDL_bool validDomain)</div></div>
<div class="ttc" id="abegin__code_8h_html"><div class="ttname"><a href="begin__code_8h.html">begin_code.h</a></div></div>
<div class="ttc" id="aclose__code_8h_html"><div class="ttname"><a href="close__code_8h.html">close_code.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
